%define snap SNAP-0910052249

Name:           fcgi
Version:        2.4.1
Release:        2.5
Summary:        FastCGI development kit

Group:          Development/Languages
License:        MIT
URL:            http://www.fastcgi.com/#TheDevKit
Source0:        http://fastcgi.com/dist/fcgi-%{version}-%{snap}.tar.gz
Source1:        fcgi-autogen.sh
Patch0:         fcgi-2.4.0-autotools.patch
# Patch0 created with Source1 after patching Patch1 and Patch2
#Patch1:         fcgi-2.4.0-configure.in.patch
#Patch2:         fcgi-2.4.0-Makefile.am-CPPFLAGS.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-build

%description
FastCGI is a language independent, scalable, open extension to CGI that
provides high performance without the limitations of server specific APIs.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}


%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n "%{name}-%{version}-%{snap}"
# %setup -q
# %patch0 -p1
# remove DOS End Of Line Encoding
sed -i 's/\r//' doc/fastcgi-prog-guide/ch2c.htm
# fix file permissions
chmod a-x include/fcgios.h libfcgi/os_unix.c


%build
%configure
# does not build with parallel make flags
make -j1

%install
make install DESTDIR=%{buildroot}
%{__rm} -fv %{buildroot}/%{_libdir}/libfcgi{++,}.{l,}a
install -p -m 0644 -D doc/cgi-fcgi.1 %{buildroot}/%{_mandir}/man1/cgi-fcgi.1
for manpage in doc/*.3
do
install -p -m 0644 -D $manpage %{buildroot}%{_mandir}/man3/$(basename $manpage)
done
%{__rm} -f -- doc/*.1
%{__rm} -f -- doc/*.3

%files
%defattr(-,root,root,-)
%{_bindir}/cgi-fcgi
%{_libdir}/libfcgi.so.*
# %{_libdir}/libfcgi++.so.*
%{_mandir}/man1/*
%defattr(0644,root,root,0755)
%doc LICENSE.TERMS README


%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/libfcgi.so
# %{_libdir}/libfcgi++.so
%{_mandir}/man3/*
%defattr(0644,root,root,0755)
%doc doc/


%changelog
* Sat May 26 2012 jengelh@inai.de
- Remove redundant tags/sections from specfile
- Set license to what it is: MIT
* Wed Dec  7 2011 hmacht@suse.de
- initial build (needed for package ceph in distributions CentOS*
  and RHEL*
* Sat Feb 13 2010 holger.manthey@bertelsmann.de
- update to 2.4.1
* Mon Jan 18 2010 holger.manthey@bertelsmann.de
- use suse buildservice
  Thu Aug 23 00:00:00 UTC 2007 - Till Maas <opensource till name> - 2.4.0-4
- bump release for rebuild
  Wed Jul 11 00:00:00 UTC 2007 - Till Maas <opensource till name> - 2.4.0-3
- remove parallel make flags
  Tue Apr 17 00:00:00 UTC 2007 - Till Maas <opensource till name> - 2.4.0-2
- add some documentation
- add mkdir ${RPM_BUILD_ROOT} to %%%%install
- install man-pages
  Mon Mar  5 00:00:00 UTC 2007 - Till Maas <opensource till name> - 2.4.0-1
- Initial spec for fedora
